Page MenuHomePhabricator

dirstatemap: use the default code to handle "merged" case
ClosedPublic

Authored by marmoute on Aug 21 2021, 5:57 AM.

Details

Summary

This simplify the conditionnal a bit since most of it is handled by the common
code.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

marmoute created this revision.Aug 21 2021, 5:57 AM
Alphare requested changes to this revision.Aug 25 2021, 10:30 AM
Alphare added a subscriber: Alphare.
Alphare added inline comments.
mercurial/dirstatemap.py
265–266

This comment is not up-to-date anymore

This revision now requires changes to proceed.Aug 25 2021, 10:30 AM
marmoute added inline comments.Aug 26 2021, 3:41 AM
mercurial/dirstatemap.py
265–266

Good spot, thanks !

Updating.

baymax updated this revision to Diff 30055.Aug 26 2021, 9:01 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

Alphare accepted this revision.Aug 26 2021, 9:12 AM
This revision is now accepted and ready to land.Aug 26 2021, 9:12 AM